net.corda.client.jfx.utils

## Class AssociatedList<K,A,B>

- ReadOnlyBackedObservableMapBase
- - net.corda.client.jfx.utils.AssociatedList<K,A,B>

-     public class AssociatedList<K,A,B>
      extends ReadOnlyBackedObservableMapBase

  `class AssociatedList` creates an ObservableMap from an ObservableList by associating each list element with a unique key. It is not allowed to have several elements map to the same value!

  See Also:
    `class AssociatedList`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociatedList(javafx.collections.ObservableList<? extends A> sourceList, kotlin.jvm.functions.Function1<? super A,? extends K> toKey, kotlin.jvm.functions.Function2<? super K,? super A,? extends B> assemble)` `class AssociatedList` creates an ObservableMap from an ObservableList by associating each list element with a unique key. It is not allowed to have several elements map to the same value!

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.collections.ObservableList<? extends A>` | `getSourceList()`

    - ### Methods inherited from class net.corda.client.jfx.utils.ReadOnlyBackedObservableMapBase

      `addListener, addListener, clear, containsKey, containsValue, entrySet, fireChange, get, getBackingMap, getEntries, getKeys, getSize, getValues, isEmpty, keySet, put, putAll, remove, removeListener, removeListener, size, values`

- - ### Constructor Detail

    - #### AssociatedList

          public AssociatedList(javafx.collections.ObservableList<? extends A> sourceList,
                                kotlin.jvm.functions.Function1<? super A,? extends K> toKey,
                                kotlin.jvm.functions.Function2<? super K,? super A,? extends B> assemble)

      `class AssociatedList` creates an ObservableMap from an ObservableList by associating each list element with a unique key. It is not allowed to have several elements map to the same value!

      Parameters:
        `sourceList` - The source list.
        `toKey` - Function returning the key.
        `assemble` - The function to assemble the final map element from the list element and the associated key.
      See Also:
        `class AssociatedList`

  - ### Method Detail

    - #### getSourceList

          public javafx.collections.ObservableList<? extends A> getSourceList()